Bug 1420546 - SyntaxError: Missing parentheses in call to 'print'
Summary: SyntaxError: Missing parentheses in call to 'print'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb-heap
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 23:22 UTC by George R. Goffe
Modified: 2019-10-28 01:38 UTC (History)
9 users (show)

Fixed In Version: gdb-heap-0.5-36.20191013gitf3dcc53.fc30 gdb-heap-0.5-36.20191013gitf3dcc53.fc29 gdb-heap-0.5-36.20191013gitf3dcc53.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 01:08:58 UTC
Type: Bug


Attachments (Terms of Use)

Description George R. Goffe 2017-02-08 23:22:24 UTC
Description of problem:

Startkde pauses and seems to NEVER continue. I entered "gdb -p 11432" and got an error message (see below).

Version-Release number of selected component (if applicable):
binutils-2.27-16.fc26.x86_64
gdb-7.12-29.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1.gdp -p < pid of startkde process >
2.
3.

Actual results:
see below

Expected results:
"normal" entry to gdb

Additional info:
fc26-rawhide--bash 4.4 ~# gdb -p 11432
GNU gdb (GDB) Fedora 7.12-29.fc26
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
Attaching to process 11432
Reading symbols from /usr/bin/bash...
Reading symbols from /usr/bin/bash...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /usr/lib64/libtinfo.so.6...
warning: the debug information found in "/usr/lib/debug//usr/lib64/libtinfo.so.6.0.debug" does not match "/usr/lib64/libtinfo.so.6" (CRC mismatch).

Reading symbols from /usr/lib64/libtinfo.so.6...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /usr/lib64/libdl.so.2...(no debugging symbols found)...done.
Reading symbols from /usr/lib64/libc.so.6...(no debugging symbols found)...done.
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Missing separate debuginfos, use: dnf debuginfo-install bash-4.4.11-1.fc26.x86_64
---Type <return> to continue, or q <return> to quit---
0x00007f875ebbb380 in __read_nocancel () from /usr/lib64/libc.so.6
Traceback (most recent call last):
  File "/export/home/share/gdb/auto-load/usr/lib64/ld-2.24.90.so-gdb.py", line 18, in <module>
    from heap.commands import register_commands
  File "/usr/share/gdb-heap/heap/__init__.py", line 58
    print 'type cache miss: %r' % typename
                              ^
SyntaxError: Missing parentheses in call to 'print'

Comment 1 Jan Kratochvil 2017-02-09 08:03:31 UTC
gdb-heap-0.5-26.fc26.x86_64

(gdb) start
Temporary breakpoint 1 at 0xfadd0: file ../../gdb/gdb.c, line 29.
Starting program: /usr/bin/gdb 
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/ld-2.24.90.so-gdb.py", line 18, in <module>
    from heap.commands import register_commands
  File "/usr/share/gdb-heap/heap/__init__.py", line 58
    print 'type cache miss: %r' % typename
                              ^
SyntaxError: Missing parentheses in call to 'print'

Comment 2 Fedora End Of Life 2017-02-28 11:13:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora End Of Life 2018-05-03 08:15:15 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Jan Kratochvil 2018-05-03 08:27:48 UTC
# dnf install gdb-heap
Error: 
 Problem: conflicting requests
  - nothing provides glibc(x86-64) = 2.26.90 needed by gdb-heap-0.5-32.fc29.x86_64

Comment 5 Jan Kurik 2018-08-14 10:31:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Fedora Update System 2019-10-18 20:30:22 UTC
FEDORA-2019-e863ce3533 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e863ce3533

Comment 8 Fedora Update System 2019-10-18 20:30:29 UTC
FEDORA-2019-206332aae6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-206332aae6

Comment 9 Fedora Update System 2019-10-19 18:00:42 UTC
gdb-heap-0.5-36.20191013gitf3dcc53.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e1f5e78ea

Comment 10 Fedora Update System 2019-10-19 18:24:57 UTC
gdb-heap-0.5-36.20191013gitf3dcc53.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e863ce3533

Comment 11 Fedora Update System 2019-10-20 17:13:24 UTC
gdb-heap-0.5-36.20191013gitf3dcc53.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-206332aae6

Comment 12 Fedora Update System 2019-10-27 01:08:58 UTC
gdb-heap-0.5-36.20191013gitf3dcc53.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-10-27 02:05:19 UTC
gdb-heap-0.5-36.20191013gitf3dcc53.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-10-28 01:38:59 UTC
gdb-heap-0.5-36.20191013gitf3dcc53.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.